import matplotlib.pyplot as plt
import numpy             as np

p_max = 10

def f(x):
    return x * np.log(p_max/x)/np.arctan(np.sqrt(p_max**2/x**2 - 1))


def main():
    x = np.arange(0, 10, 0.001)
    y = f(x)

    plt.rcParams['font.size'] = 20
    plt.figure()
    plt.title('Expected distribution', loc='right')
    plt.ylabel('$\\langle |P_v| \\rangle$')
    plt.xlabel('$P_h$')
    plt.plot(x, y, c='#92182b')
    plt.show()


if __name__ == '__main__':
    main()
